'use strict'

const moment    = require('moment'),
	  dataToMap = require('../listThemes').getThemes()

function constructDocument(baseObject, stage) {
	return {
		type: "add",
		id: `${baseObject.id}-theme-${stage}`,
		fields: {
			stage: `${stage}`,
			id: baseObject.id,
			name: baseObject.name,
			description: baseObject.description,
			last_modified: moment().format('YYYY-MM-DDTHH:mm:ss') + 'Z'
		}
	}
}

exports.seed = function (cloudDomainClient, BbPromise, stage) {
	console.log(`Seeding Themes for stage: ${stage}`)

	const params = {
		contentType: 'application/json',
		documents: JSON.stringify(dataToMap.map(value => constructDocument(value, stage)))
	}

	return cloudDomainClient.uploadDocuments(params).promise()
}